Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003991TestLinkAPI - XMLRPCpublic2010-11-09 08:122010-11-14 12:07
Reporterpablobitton 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003991: getTestCasesForTestPlan() fails
Descriptionin getValidKeywordSetById theres a missing $this causing an unknown symbol error
Steps To Reproduceuse getTestCasesForTestCase with keywordid
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003992closedfman getTestCasesForTestPlan ignores keywords 

-  Notes
(0012361)
fman (administrator)
2010-11-10 09:16

1. why have you created another issue insted of adding more info here
2. getTestCasesForTestCase() does not exists
   are you talking about:
getTestCasesForTestPlan() or getTestCasesForTestSuite()
(0012365)
fman (administrator)
2010-11-10 09:36

>> in getValidKeywordSetById theres a missing $this causing an unknown symbol error
it would be very useful if you point to the offending line
(0012372)
pablobitton (reporter)
2010-11-10 11:41

xmlrpc.class.php line 2611

in function getValidKeywordSetById

in return line missing "$this->"

return getValidKeywordSet(.......
(0012378)
fman (administrator)
2010-11-10 14:17

OK now is better
(0012464)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-11-09 08:12 pablobitton New Issue
2010-11-10 09:15 fman Relationship added related to 0003992
2010-11-10 09:16 fman Note Added: 0012361
2010-11-10 09:16 fman Assigned To => fman
2010-11-10 09:16 fman Status new => feedback
2010-11-10 09:36 fman Note Added: 0012365
2010-11-10 11:41 pablobitton Note Added: 0012372
2010-11-10 11:41 pablobitton Status feedback => assigned
2010-11-10 14:17 fman Note Added: 0012378
2010-11-10 14:27 fman Summary getTestCasesForTestCase fails => getTestCasesForTestPlan() fails
2010-11-10 18:22 fman Status assigned => resolved
2010-11-10 18:22 fman Fixed in Version => 1.9 (Prague)
2010-11-10 18:22 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012464
2010-11-14 12:07 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker